## aasink aasink — An ASCII art videosink |

## Synopsis

    struct              GstAASink;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSink
                               +----GstVideoSink
                                     +----GstAASink

## Properties

      "brightness"               gint                  : Read / Write
      "contrast"                 gint                  : Read / Write
      "dither"                   GstAASinkDitherers    : Read / Write
      "driver"                   GstAASinkDrivers      : Read / Write
      "frame-time"               gint                  : Read
      "frames-displayed"         gint                  : Read
      "gamma"                    gfloat                : Read / Write
      "height"                   gint                  : Read / Write
      "inversion"                gboolean              : Read / Write
      "randomval"                gint                  : Read / Write
      "width"                    gint                  : Read / Write

## Signals

      "frame-displayed"                                : Run Last
      "have-size"                                      : Run Last

## Description

## Synopsis

### Element Information

plugin | aasink
author | Wim Taymans <wim.taymans@chello.be>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstAASink

    struct GstAASink;

## Property Details

### The `"brightness"` property

      "brightness"               gint                  : Read / Write

brightness.

Default value: 0

### The `"contrast"` property

      "contrast"                 gint                  : Read / Write

contrast.

Default value: 0

### The `"dither"` property

      "dither"                   GstAASinkDitherers    : Read / Write

dither.

Default value: no dithering

### The `"driver"` property

      "driver"                   GstAASinkDrivers      : Read / Write

driver.

Default value: X11 driver 1.1

### The `"frame-time"` property

      "frame-time"               gint                  : Read

frame time.

Default value: 0

### The `"frames-displayed"` property

      "frames-displayed"         gint                  : Read

frames displayed.

Default value: 0

### The `"gamma"` property

      "gamma"                    gfloat                : Read / Write

gamma.

Allowed values: [0,5]

Default value: 1

### The `"height"` property

      "height"                   gint                  : Read / Write

height.

Default value: 0

### The `"inversion"` property

      "inversion"                gboolean              : Read / Write

inversion.

Default value: TRUE

### The `"randomval"` property

      "randomval"                gint                  : Read / Write

randomval.

Default value: 0

### The `"width"` property

      "width"                    gint                  : Read / Write

width.

Default value: 0

## Signal Details

### The `"frame-displayed"` signal

    void                user_function                      (GstAASink *gstaasink,
                                                            gpointer   user_data)      : Run Last

`gstaasink` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"have-size"` signal

    void                user_function                      (GstAASink *gstaasink,
                                                            guint      arg1,
                                                            guint      arg2,
                                                            gpointer   user_data)      : Run Last

`gstaasink` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.